Bug 586279 - samyak-malayalam-fonts isn't usable
samyak-malayalam-fonts isn't usable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samyak-fonts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Naveen Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 586887
  Show dependency treegraph
 
Reported: 2010-04-27 04:41 EDT by Akira TAGOH
Modified: 2010-06-29 11:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: samyak-fonts-1.2.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 586887 (view as bug list)
Environment:
Last Closed: 2010-06-29 11:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2010-04-27 04:41:40 EDT
Description of problem:
samyak-malayalam-fonts is supposed to work for Malayalam font though, it doesn't have enough glyph coverage in fontconfig.

Version-Release number of selected component (if applicable):
samyak-malayalam-fonts-1.2.1-11.fc13.noarch

How reproducible:
always

Steps to Reproduce:
1.fc-match -v "Samyak Malayalam"|grep -E "        lang"|grep ml
2.
3.
  
Actual results:
No output

Expected results:
the lang spec should contains ml.

Additional info:
Comment 1 Akira TAGOH 2010-04-27 04:42:02 EDT
This is raised during the testing of Bug#578042.
Comment 2 Pravin Satpute 2010-04-28 05:19:30 EDT
while going through this bug found, problem is from font side not from conf file

see lang section : its blank, it should give ml

Pattern has 20 elts (size 32)
	family: "Samyak Malayalam"(s)
	familylang: "en"(s)
	style: "Medium"(s)
	stylelang: "en"(s)
	fullname: "Samyak Malayalam"(s)
	fullnamelang: "en"(s)
	slant: 0(i)(s)
	weight: 80(i)(s)
	width: 100(i)(s)
	foundry: "unknown"(s)
	file: "/usr/share/fonts/samyak/samyak-malayalam/Samyak-Malayalam.ttf"(s)
	index: 0(i)(s)
	outline: FcTrue(s)
	scalable: FcTrue(s)
	charset: 
	0000: 00000000 00000001 00000000 00000000 00000000 00000000 00000000 00000000
	000d: fffddfec c3fffdff 00803dcf 00000001 00000000 00000000 00000000 00000000
	0020: 00003800 00000000 00000000 00000000 00000000 00000000 00000000 00000000
	0025: 00000000 00000000 00000000 00000000 00000000 00000000 00001000 00000000
(s)
	lang: (s)
	fontversion: 78643(i)(s)
	capability: "otlayout:mlym"(s)
	fontformat: "TrueType"(s)
	decorative: FcFalse(s)
Comment 3 Naveen Kumar 2010-04-29 06:17:57 EDT
The unicode value of U+0D61 specified in ml.orth is missing in this font and hence script/language requirement is not fulfilled.

@psatpute Adding a glyph for U+0D61 would solve this problem.
Comment 4 Fedora Update System 2010-06-17 05:27:58 EDT
samyak-fonts-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/samyak-fonts-1.2.2-1.fc13
Comment 5 Fedora Update System 2010-06-21 09:06:26 EDT
samyak-fonts-1.2.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update samyak-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/samyak-fonts-1.2.2-1.fc13
Comment 6 Fedora Update System 2010-06-29 11:35:05 EDT
samyak-fonts-1.2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.